<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
HasSysRightEx Method (IEdmUser7)
See Also Example

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmUser7 Interface : HasSysRightEx Method (IEdmUser7)

Visual Basic
C#
C++/CLI

eRight
  Permission as defined in EdmSysPerm

Gets whether this user has the specified permission.

# Syntax

Visual Basic |
--- | ---

    Function HasSysRightEx( _
       ByVal eRight As EdmSysPerm _
    ) As System.Boolean

C# |
--- | ---

    System.bool HasSysRightEx(
       EdmSysPerm eRight
    )

C++/CLI |
--- | ---

    System.bool HasSysRightEx(
    &   EdmSysPerm eRight
    )

#### Parameters

eRight
  Permission as defined in EdmSysPerm

#### Return Value

True if the user has the permission, false if not

# Example

Send Message to Users (C#)
Send Message to Users (VB.NET)
Add and Remove User and Group from Folder (C#)
Add and Remove User and Group from Folder (VB.NET)

# Remarks

This method supersedes IEdmUser5::HasSysRight, which checked system permissions represented as bit flags that could be ORed together. As of SOLIDWORKS PDM Professional 2010, new permissions are represented as sequentially numbered constants that cannot be ORed together. You must call this method once for each permission you want to check.

Return codes:

- S_OK: The method successfully executed.

# See Also

####

IEdmUser7 Interface
IEdmUser7 Members

# Availability

SOLIDWORKS PDM Professional 2010